# Uses of Class
org.apache.zookeeper.server.quorum.QuorumPeerConfig

Packages that use QuorumPeerConfig
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.controller
org.apache.zookeeper.server.quorum
org.apache.zookeeper.server.util

## Uses of QuorumPeerConfig in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type QuorumPeerConfig
Modifier and Type
Method
Description
`void`
ServerConfig.`readFrom(QuorumPeerConfig config)`
Read attributes from a QuorumPeerConfig.

## Uses of QuorumPeerConfig in org.apache.zookeeper.server.controller

Subclasses of QuorumPeerConfig in org.apache.zookeeper.server.controller
Modifier and Type
Class
Description
`class`
`ControllerServerConfig`
Config for the ControllerService.
Fields in org.apache.zookeeper.server.controller declared as QuorumPeerConfig
Modifier and Type
Field
Description
`protected QuorumPeerConfig`
ControllerService.`config`
Methods in org.apache.zookeeper.server.controller with parameters of type QuorumPeerConfig
Modifier and Type
Method
Description
`void`
ControllerService.`runFromConfig(QuorumPeerConfig config)`
Run the app given a QuorumPeerConfig.
Constructors in org.apache.zookeeper.server.controller with parameters of type QuorumPeerConfig
Modifier
Constructor
Description
``
`ZooKeeperServerController(QuorumPeerConfig config)`

## Uses of QuorumPeerConfig in org.apache.zookeeper.server.quorum

Methods in org.apache.zookeeper.server.quorum with parameters of type QuorumPeerConfig
Modifier and Type
Method
Description
`static QuorumPeer`
QuorumPeer.`createFromConfig(QuorumPeerConfig config)`
Create a new QuorumPeer and apply all the values per the already-parsed config.
`void`
QuorumPeerMain.`runFromConfig(QuorumPeerConfig config)`

## Uses of QuorumPeerConfig in org.apache.zookeeper.server.util

Constructors in org.apache.zookeeper.server.util with parameters of type QuorumPeerConfig
Modifier
Constructor
Description
``
`JvmPauseMonitor(QuorumPeerConfig config)`